CUDA Runtime API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.19. cudaKernelNodeParams Struct Reference

## [Data types used by CUDA Runtime]

CUDA GPU kernel node parameters

### Public Variables

dim3 blockDim
* extra
void * func
dim3 gridDim
* kernelParams
unsigned int sharedMemBytes

### Variables

dim3 cudaKernelNodeParams::blockDim [inherited]

  Block dimensions

* cudaKernelNodeParams::extra [inherited]

  Pointer to kernel arguments in the "extra" format

void * cudaKernelNodeParams::func [inherited]

  Kernel to launch

dim3 cudaKernelNodeParams::gridDim [inherited]

  Grid dimensions

* cudaKernelNodeParams::kernelParams [inherited]

  Array of pointers to individual kernel arguments

unsigned int cudaKernelNodeParams::sharedMemBytes [inherited]

  Dynamic shared-memory size per thread block in bytes